## org.apache.xerces.impl.xs
Class XMLSchemaException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xerces.impl.xs.XMLSchemaException

All Implemented Interfaces:
  java.io.Serializable

    public class XMLSchemaException

extends java.lang.Exception

This exception might be thrown by any constraint checking method.

Version:
  $Id: XMLSchemaException.java 446734 2006-09-15 20:51:23Z mrglavas $
Author:
  Elena Litani, IBM
See Also:
  Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`XMLSchemaException(java.lang.String key, java.lang.Object[] args)`

Method Summary
`java.lang.Object[]` `getArgs()`
`java.lang.String` `getKey()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLSchemaException

    public XMLSchemaException(java.lang.String key,
                              java.lang.Object[] args)

Method Detail

### getKey

    public java.lang.String getKey()

### getArgs

    public java.lang.Object[] getArgs()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.